Summary:	Gettext translation file editor
Summary(de):	Editor zum Anfertigen von Gettext-Programmübersetzungen
Name:		poedit
Version:	1.5.4
Release:	%mkrel 1
License:	MIT
Group:		Editors
URL:		http://www.poedit.net
Source0:	http://nchc.dl.sourceforge.net/sourceforge/poedit/%{name}-%{version}.tar.xz
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot
Requires:	gettext
BuildRequires:	%{_lib}wxgtku2.8-devel
BuildRequires:	%{_lib}db4.8-devel
BuildRequires:	%{_lib}gtkspell-devel
BuildRequires:	%{_lib}boost-devel
BuildRequires:  zip
Requires(Pre):	shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Poedit is a cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

%description -l de
Poedit ist ein plattformübergreifender Editor für gettext .po Dateien. Er wurde mit 
dem WxWindows Toolkit aufgebaut und kann auf UNIX- oder Windows ausgeführt werden. Er 
soll eine bequeme Möglichkeit der Bearbeitung von Gettext Katalogen bereitstellen. 
Er bietet UTF-8-Unterstützung, hervorheben von unübersetzten oder undeutlichen 
Einträgen, Hervorhebung nicht druckbarer Zeichen, Referenzen suchen, Kopfzeilen 
bearbeiten und kann neue Kataloge erstellen oder vorhandene Kataloge, vom Quellcode 
durch einfaches Klicken, aktualisieren.


%prep
%setup -q

%build
%configure2_5x --with-wx-config=%{_bindir}/wx-config-unicode
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std


# remove files not bundled
%__rm -f %{buildroot}/%{_iconsdir}/poedit.xpm

# install the desktop file
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Poedit
Comment=Gettext catalogs editor
Comment[fr]=Outil de traduction
Comment[it]=Editor dei cataloghi gettext
Comment[de]=Editor zum Anfertigen von Gettext-Programmübersetzungen
MimeType=application/x-po;application/x-gettext;application/x-gettext-translation;text/x-gettext-translation;text/x-po;
Exec=poedit
Icon=poedit.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Development-Tools;
StartupNotify=true
EOF

%find_lang %{name}

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README AUTHORS TODO 
%dir %{_datadir}/poedit
%dir %{_datadir}/poedit/icons
%{_bindir}/poedit
%{_iconsdir}/*
%{_mandir}/man1/*
%{_datadir}/poedit/icons/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*


%changelog
* Tue Oct 09 2012 Neal <nealbrks0 at gmail dot com> 1.5.4-1pclos2012
- process

* Tue Oct 09 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.5.4-1pclos2012
- 1.5.4

* Sun Aug 12 2012 Neal <nealbrks0 at gmail dot com> 1.5.2-1pclos2012
- process

* Sun Aug 12 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.5.2-1pclos2012
- 1.5.2

* Wed Aug 01 2012 Neal <nealbrks0 at gmail dot com> 1.5-1pclos2012
- process

* Wed Aug 01 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.5-1pclos2012
- 1.5
- little rework of the german translations
- added %{_lib} macros
- fixed deps needs wxgtku not wxgtk
- added BuildRequires: %{_lib}boost-devel
- removed help folder (files section) in %_datadir/poedit it is replaced by online wiki

* Thu Jul 14 2011 Texstar <texstar at gmail.com> 1.4.6.1-1pclos2011
- 1.4.6.1

* Wed Jul 13 2011 Texstar <texstar at gmail.com> 1.4.3-2pclos2011
- rebuilds

* Sun Dec 27 2009 maik3531 <maik3531 at yahoo dot de> 1.4.3-1pclos2010
- 1.4.3
- add german description

* Thu Aug 14 2008 Gianvacca <alessio.adamo@gmail.com> 1.4.1-1pclos2007
  -first release for PCLinuxOS 2007

